# IBM Event Streams

{% hint style="info" %}
IBM Event Streams requires a replication factor of 3. Ensure you set the replication factor accordingly for Lenses internal topics.

See [Configuration](https://docs.lenses.io/latest/deployment/configuration/configuration-reference#lenses-internal-kafka-topics).
{% endhint %}

{% hint style="success" %}
Only one Kafka connection is allowed.

The name must be kafka.

See [JSON schema](https://docs.lenses.io/latest/deployment/configuration/overview#json-schema-support) for support.

Environment variables are supported; escape the dollar sign

```yaml
sslKeystorePassword:
  # In case environment variable has single or double quotes escape it with 
  ## "\${ENV_VAR_NAME}"
  value: "${ENV_VAR_NAME}"
```

{% endhint %}

{% stepper %}
{% step %}
**Find your bootstrap endpoints**

From the IBM Cloud console, locate your **bootstrap\_endpoints`,`** for the service credentials you want to connect with.
{% endstep %}

{% step %}
**Configure Provisioning**

Set the following in the **provisioning.yaml:**

{% hint style="success" %}
Use "**token**" as the username in the Jaas Config. Set the password as your API KEY from IBM Event streams

Environment variables are supported; escape the dollar sign

```yaml
sslKeystorePassword:
  # In case environment variable has single or double quotes escape it with 
  ## "\${ENV_VAR_NAME}
  value: "${ENV_VAR_NAME}"
```

{% endhint %}

<pre class="language-yaml" data-title="provisioning.yaml"><code class="lang-yaml">kafka:
- name: kafka
  version: 1
  tags: ['my-tag']
  configuration:
    kafkaBootstrapServers:
      value:
        - SASL_SSL://[YOUR_BOOTSTRAP_ENDPOINTS]
    protocol: 
      value: SASL_SSL
    saslMechanism: 
      value: PLAIN
    saslJaasConfig:
      value: |
<strong>        org.apache.kafka.common.security.plain.PlainLoginModule required 
</strong>        username="token" 
        password="[YOUR_API_KEY]";
</code></pre>

{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/deployment/configuration/agent/automation/kafka/ibm-event-streams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
